Bug 372401 - Pirut does not sort its search results
Pirut does not sort its search results
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-09 04:52 EST by Julian Sikorski
Modified: 2014-01-21 18:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 15:15:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julian Sikorski 2007-11-09 04:52:31 EST
Description of problem:
This is a regression with respect to Fedora 7 pirut, where search results were
sorted alphabetically. Makes navigating through the results a bit harder than
needed.

Version-Release number of selected component (if applicable):
pirut-1.3.25-2.fc8.noarch
yum-3.2.7-1.fc8.noarch

How reproducible:
always

Steps to Reproduce:
1. start pirut
2. search for something that returns several results, say, pulseaudio
  
Actual results:
Search results are distributed randomly

Expected results:
Search results are sorted alphabetically
Comment 1 Jeremy Katz 2007-11-09 09:13:19 EST
The results are ordered by relevance rather than alphabetically now just like
the output of yum search
Comment 2 Julian Sikorski 2007-11-09 09:15:49 EST
I preferred the old behaviour. Can we have an option to switch between two?
Comment 3 Jeremy Katz 2007-11-09 09:35:55 EST
Adding options isn't the answer.  Insert obligatory link to Havoc's long ago
blog post here :-)

Right now, leaving open so that I can think on it rather than doing kneejerk
reaction changes.
Comment 4 Greg Gilbert 2007-12-24 13:38:02 EST
(In reply to comment #1)
> The results are ordered by relevance rather than alphabetically now just like
> the output of yum search

It's certainly good to know there was a method to pirut's madness. :)

With the ordering by relevence, I usually find myself reading through the entire
list of packages, because I see multiple versions of packages. For someone who
didn't know how pirut was deciding to sort packages, it meant that if I found a
package that looked like it might be what I need, I wasn't confident that it was
the most up to date package in the repository until I went ahead and finished
looking at the list to make sure there weren't any newer packages.

This might be unnecessary effort if pirut is sorting newer versions towards the
top of the list, but on the surface I couldn't tell if it was sorting things at
all. Sorting by name wouldn't give as intelligent results as relevence, but I'd
personally find it more comfortable to use because the rules behind the sorting
are more obvious. 
Comment 5 Jeremy Katz 2008-05-28 15:15:41 EDT
This isn't going to get changed at this point as pirut is pretty much entirely
EOL'd and only getting critical fixes for older releases.  In Fedora 9 and
later, any such concerns can be filed against PackageKit/gnome-packagekit.

Note You need to log in before you can comment on or make changes to this bug.